openSUSE Tumbleweed Update problem "Die folgenden x Paketaktualisierungen werden NICHT installiert:"

Diese Seite verwendet Cookies. Durch die Nutzung unserer Seite erklären Sie sich damit einverstanden, dass wir Cookies setzen. Weitere Informationen

Hinweis: In dem Thema openSUSE Tumbleweed Update problem "Die folgenden x Paketaktualisierungen werden NICHT installiert:" gibt es 8 Antworten. Der letzte Beitrag () befindet sich ganz unten auf dieser Seite.
  • openSUSE Tumbleweed Update problem "Die folgenden x Paketaktualisierungen werden NICHT installiert:"

    Hallo habe mir heute openSUSE Tumbleweed mit dem KDE Plasma 5 Desktop installiert. Habe mir auch schon ein paar nötige Programme installiert und da habe ich die updates mitsudo zypper update durchlaufen lassen, das hat der Befehl mir ausgespuckt: Repository-Daten werden geladen... Installierte Pakete werden gelesen... Die folgenden 10 Paketaktualisierungen werden NICHT installiert: gstreamer-plugins-ugly-lang libgstphotography-1_0-0 libquicktime0 libvlc5 libvlccore9 vlc vlc-codec-gstreamer vlc-lang vlc-noX vlc-qt Keine auszuführenden Aktionen.

    Also warum werden diese Updates nicht installiert gibt es einen guten Grund oder ist ein Fehler und wie kann ich die Pakete aktualisieren?
    Danke.

    Für den Inhalt des Beitrages 125646 haftet ausdrücklich der jeweilige Autor: Username_Underscore

  • Vermutlich die Prio ...
    Poste mal:

    Quellcode

    1. zypper lr -d
    PS:
    Unter Tumbleweed ist ...

    Quellcode

    1. zypper dup
    ...richtig.
    Zitat Albert Einstein:
    "Zwei Dinge sind unendlich, das Universum und die menschliche Dummheit,
    aber bei dem Universum bin ich mir noch nicht ganz sicher."

    Dieser Beitrag wurde bereits 1 mal editiert, zuletzt von sterun ()

    Für den Inhalt des Beitrages 125647 haftet ausdrücklich der jeweilige Autor: sterun

  • Shell-Script

    1. Die Repository-Prioritäten sind ohne Effekt. Alle aktivierten Repositorys teilen sich die gleiche Priorität.
    2. # | Alias | Name | Aktiviert | GPG-Überprüfung | Aktualisierung | Priorität | Typ | URI | Dienst
    3. --+----------------------------------------+-----------------------------+-----------+-----------------+----------------+-----------+--------+----------------------------------------------------------+-------
    4. 1 | download.nvidia.com-tumbleweed | nVidia Graphics Drivers | Ja | (r ) Ja | Ja | 99 | rpm-md | https://download.nvidia.com/opensuse/tumbleweed |
    5. 2 | openSUSE-20181009-0 | openSUSE-20181009-0 | Ja | (r ) Ja | Ja | 99 | rpm-md | http://download.opensuse.org/tumbleweed/repo/oss/ |
    6. 3 | opensuse-guide.org-openSUSE_Tumbleweed | libdvdcss repository | Ja | (r ) Ja | Ja | 99 | rpm-md | http://opensuse-guide.org/repo/openSUSE_Tumbleweed/ |
    7. 4 | packman.inode.at-openSUSE_Tumbleweed | Packman Repository | Ja | (r ) Ja | Ja | 99 | rpm-md | http://packman.inode.at/suse/openSUSE_Tumbleweed/ |
    8. 5 | repo-debug | openSUSE-Tumbleweed-Debug | Nein | ---- | ---- | 99 | NONE | http://download.opensuse.org/debug/tumbleweed/repo/oss/ |
    9. 6 | repo-non-oss | openSUSE-Tumbleweed-Non-Oss | Ja | (r ) Ja | Ja | 99 | rpm-md | http://download.opensuse.org/tumbleweed/repo/non-oss/ |
    10. 7 | repo-source | openSUSE-Tumbleweed-Source | Nein | ---- | ---- | 99 | NONE | http://download.opensuse.org/source/tumbleweed/repo/oss/ |
    11. 8 | repo-update | openSUSE-Tumbleweed-Update | Ja | (r ) Ja | Ja | 99 | rpm-md | http://download.opensuse.org/update/tumbleweed/ |
    Alles anzeigen
    sind alle auf 99

    Dieser Beitrag wurde bereits 5 mal editiert, zuletzt von Username_Underscore ()

    Für den Inhalt des Beitrages 125648 haftet ausdrücklich der jeweilige Autor: Username_Underscore

  • Noch mal mit Code Tags.
    Mit dem Symbol </>

    openSUSE Leap:

    Quellcode

    1. zypper up

    openSUSE Tumbleweed:

    Quellcode

    1. zypper dup
    PS:
    Die Priorität von Packman solltest du besser ändern auf 20.
    Zitat Albert Einstein:
    "Zwei Dinge sind unendlich, das Universum und die menschliche Dummheit,
    aber bei dem Universum bin ich mir noch nicht ganz sicher."

    Dieser Beitrag wurde bereits 1 mal editiert, zuletzt von sterun ()

    Für den Inhalt des Beitrages 125650 haftet ausdrücklich der jeweilige Autor: sterun

  • Weil bestimmte Software im Packman Repo aktueller ist.
    Wenn es Pakete in mehreren Repos gibt, entscheidet die Prio.

    Schau mal hier Post #3:
    Restricted Formats installieren
    Zitat Albert Einstein:
    "Zwei Dinge sind unendlich, das Universum und die menschliche Dummheit,
    aber bei dem Universum bin ich mir noch nicht ganz sicher."

    Dieser Beitrag wurde bereits 2 mal editiert, zuletzt von sterun ()

    Für den Inhalt des Beitrages 125652 haftet ausdrücklich der jeweilige Autor: sterun

  • Und hier ein HowTo zu Code Tags:
    Verwendung des Editors im Forum

    Wenn alles gut ist, bitte Thema als erligt markieren:
    Doppelklick auf das kleine, unscheinbare Kästchen neben deiner Themenüberschrift.

    Gute Nacht zusammen.

    PS:
    @D_Dau
    Happy Birthday und alles Gute (:-
    Zitat Albert Einstein:
    "Zwei Dinge sind unendlich, das Universum und die menschliche Dummheit,
    aber bei dem Universum bin ich mir noch nicht ganz sicher."

    Für den Inhalt des Beitrages 125653 haftet ausdrücklich der jeweilige Autor: sterun

  • Und nur einmal eine Erklärung zu Tumbleweed:



    Unter Tumbleweed führt nur ein zypper dup zum richtigen Updaten des Systems, alle anderen Befehle/grafische Programme funktionieren nicht richtig.

    Und um Probleme mit dem Vendor change (Repo-Wechsel) zu umgehen, wurde bei Tumbleweed der zypper dup Befehl per default mit --no-allow-vendor-change aktiviert.

    Das heisst auf gut deutsch:
    Ein zypper dup unter Tumbleweed macht genau das, was unter Leap ein zypper up macht.

    Wenn ich unter Tumbleweed einen Vendor change machen möchte, muss ich das explizit angeben:
    zypper dup --allow-vendor-change
    Das ist dann das Äquivalent zu dem Leap Befehl zypper dup

    zypper dup --from Name|URL|Nummer funktioniert natürlich unter beiden Systemen gleich....
    Und wird von mir vor einem allgemeinen zypper dup bevorzugt.
    Links in dieser Signatur bitte zum Lesen anklicken!

    Code-Tags <<<Klick mich
    zypper <<<Klick mich
    Netzwerkprobleme <<<Klick mich

    Für den Inhalt des Beitrages 125699 haftet ausdrücklich der jeweilige Autor: Sauerland